'use strict';

var chai = require('chai');

//Polyfill
global.window = {
    location: {}
};

//Disable logs
process.env.ENABLE_LOGS = false;

// Load Chai assertions
global.expect = chai.expect;
global.assert = chai.assert;

// Load Sinon
global.sinon = require('sinon');

// Initialize Chai plugins
chai.use(require('sinon-chai'));

require('babel-register')({
    'presets': ['es2015']
});
