module.exports = {
    start: start,
    restart: restart,
    stop: stop
};

var intervalId, callback, thisIntervalMs;

function start(func, intervalMs) {
    callback = func;
    thisIntervalMs = intervalMs;
    stop();
    intervalId = setInterval(callback, thisIntervalMs);
}

function restart() {
    clearInterval(intervalId);
    intervalId = setInterval(callback, thisIntervalMs);
}

function stop() {
    clearInterval(intervalId);
}
