function convertBytesToString(dataView, start, end) {
    let str = '', entry;
    for (let i = start; i < end; i++) {
        entry = dataView.getUint8(i);
        if (entry !== 0)
            str += String.fromCharCode(entry);
    }
    return str;
}

function convertStringToBytes(dataView, start, end, str) {
    for (let i = start; i < end; i++)
        dataView.setUint8(i, 0);

    for (let j = start; j < end; j++)
        dataView.setUint8(j, str.charCodeAt(j - start));
}

module.exports = {
    convertBytesToString,
    convertStringToBytes
};
