const BTS_SERVICE_PROCEDURE_STATUS = require('./btsServiceProcedureStatus');

module.exports = {
    newInstance
};

function newInstance(clientId, onSuccess, onFail) {
    return {
        update
    };

    function update(event) {
        event.objects.forEach((object) => {
            if (object.parameters.clientId !== clientId) return;

            const status = object.parameters.status;

            if (status === BTS_SERVICE_PROCEDURE_STATUS.COMPLETED) onSuccess(object);
            else if (BTS_SERVICE_PROCEDURE_STATUS.isFailing(status)) onFail(status);
        });
    }
}
