
module.exports = {
    DISCONNECTED: {
        text: 'Connection closed during technical reporting procedure.',
        key: 'DISCONNECTED'
    },
    REQUESTED: {
        text: 'Technical reporting procedure has been requested.',
        key: 'REQUESTED'
    },
    REJECTED: {
        text: 'Technical reporting procedure has been rejected.',
        key: 'REJECTED'
    },
    ACTIVE: {
        text: 'Technical reporting procedure is active.',
        key: 'ACTIVE'
    },
    BUSY: {
        text: 'Technical reporting procedure started by other user is active.',
        key: 'BUSY'
    },
    FINISHED: {
        text: 'Technical reporting procedure has been finished.',
        key: 'FINISHED'
    },
    FINISHED_WITH_ERRORS: {
        text: 'Technical reporting procedure has been finished with some error(s).',
        key: 'FINISHED'
    },
    CANCELLED: {
        text: 'Technical reporting procedure has been cancelled by user.',
        key: 'CANCELLED'
    },
    CANCELLING: {
        text: 'Technical reporting procedure cancelling is in progress.',
        key: 'CANCELLING'
    },
    AVAILABLE: {
        text: 'Technical reporting procedure is inactive.',
        key: 'AVAILABLE'
    },
    DISABLED: {
        text: "Technical reporting procedure can't be performed at current BTS state.",
        key: 'DISABLED'
    },
    INTERRUPTED: {
        text: 'Technical reporting procedure has been interrupted because of internal BTS problem.',
        key: 'INTERRUPTED'
    }
};
