module.exports = {
    hideNotSupportedBrowserWarning: hideNotSupportedBrowserWarning,
    updateInterval: updateInterval,
    updateScreenLockTimeout: updateScreenLockTimeout
};

const btsClient = require('../communication/btsClient');

const defaultScreenLockTimeoutMins = 5;

function updateInterval() {
    return btsClient.getDefaultUpdateIntervalMs();
}

function updateScreenLockTimeout() {
    return getDefaultScreenLockTimeout();
}

function hideNotSupportedBrowserWarning() {
    return false;
}

function getDefaultScreenLockTimeout() {
    return defaultScreenLockTimeoutMins;
}