module.exports = {createModuleName};

const hardwareClasses = require('../../siteCommon/hardwareClassesService');

function createModuleName(moduleNode) {
    let name = moduleNode.getName();
    if (moduleNode.className === hardwareClasses.MODULES.SMOD_EXT) {
        const parameters = moduleNode.getDecodedParameters();
        name += ` ${parameters.ratTechnology}`;
    }
    return name;
}

