(function (global) {
    'use strict';

    global.catchEvent = catchEvent;

    function catchEvent(subscribe, skipCount) {
        skipCount = skipCount || 0;
        return new Promise(function (resolve) {
            var skipped = 0;
            subscribe(function (event) {
                if (skipped === skipCount) resolve(event);
                skipped++;
            });
        });
    }
})(this);
