const BTS_SERVICE_PROCEDURE_STATUS = require('../procedures/btsServiceProcedureStatus');

module.exports = {
    ONGOING: 'ongoing',
    COMPLETED: 'completed',
    FAILED: 'failed',
    getRequestStatus(status) {
        if (BTS_SERVICE_PROCEDURE_STATUS.isRunning(status))
            return this.ONGOING;
        else if (BTS_SERVICE_PROCEDURE_STATUS.isSucceeding(status))
            return this.COMPLETED;
        else if (BTS_SERVICE_PROCEDURE_STATUS.isFailing(status))
            return this.FAILED;
        return null;
    }
};
