module.exports = {
    connect: connect,
    disconnect: disconnect
};

const adminApi = require('./adminApi');

var socket;

function connect(tsHost, tsPort) {
    socket = new WebSocket('ws://' + tsHost + ':' + tsPort);
    socket.binaryType = 'arraybuffer';
    socket.onopen = function () {
    };
    socket.onmessage = function (e) {
        adminApi.handle(e.data, socket);
    };
    socket.onclose = disconnect;
}

function disconnect() {
    if (!socket) return;
    socket.close();
}
