module.exports = Object.freeze({
    validate
});

function validate(data, schema) {
    const status = JsonValidator.validate(data, schema);
    const message = status ? '' : createErrorMessage();

    return {
        status,
        message
    };
}

function createErrorMessage() {
    var msg = JsonValidator.error.dataPath;
    if (msg.length) msg += ', ';
    msg += JsonValidator.error.message;
    return msg;
}

