module.exports = entryTimestampProvider;

function entryTimestampProvider() {
    var timestampOffset = 0;

    return {
        setOffset: setOffset,
        getOffset: getOffset,
        getTimestamp: getTimestamp
    };

    function setOffset(newOffset) {
        timestampOffset = newOffset;
    }

    function getOffset() {
        return timestampOffset;
    }

    function getTimestamp() {
        return Date.now() + timestampOffset;
    }
}

