module.exports = fileTransferFactory;

const FileTransferService = require('./fileTransferService');

function fileTransferFactory({imAuth}) {
    const service = new FileTransferService(imAuth);

    return {
        connect: service.connect,
        disconnect: service.disconnect,
        getFile: service.getFile
    };
}
