module.exports = Object.freeze({
    AA_CONFIG_GET_SERVICE_REQ_ID: 0x1F24,
    AA_CONFIG_GET_SERVICE_RSP_ID: 0x1F25,
    AA_SYS_COM_ECHO_ID: 0x123,
    SIGN_IN_ID: 0x3621,
    SIGN_OUT_ID: 0x3622,
    SIGN_IN_RESULT: 0x3626,
    UPDATE_NOTIFICATION_ID: 0x3623,
    CHANGE_REQUEST_ID: 0x3624,
    OPERATION_EXECUTED_ID: 0x3625,
    REGISTER_EXECUTOR_ID: 0x3627,
    EXECUTOR_REGISTERED_ID: 0x3628,
    UNREGISTER_EXECUTOR_ID: 0x3629,
    EXECUTION_REQUEST_ID: 0x362A,
    EXECUTION_RESULT_ID: 0x362B,
    VERSION_QUERY_ID: 0x362F,
    VERSION_QUERY_RESULT_ID: 0x3630,
    IMGW: {
        GET_PROTOCOL_VERSION_REQ_ID: 0x600E,
        GET_PROTOCOL_VERSION_RSP_ID: 0x601E,
        GET_META_REQ_ID: 0x6001,
        GET_META_RSP_ID: 0x6013,
        LOGIN_REQ_ID: 0x6008,
        LOGIN_SUCCESS_RSP_ID: 0x6018,
        LOGIN_ERROR_RSP_ID: 0x6019,
        FILE_SERVICE_GET_REQ_ID: 0x6000,
        FILE_SERVICE_FILE_CONTENT_RSP_ID: 0x6012,
        FILE_SERVICE_ERROR_RSP_ID: 0x6011,
        SW_SERVER_STARTED_ID: 0x6100,
        DIAG_SESSION_SETUP_REQ_ID: 0x6031,
        DIAG_SESSION_ACCEPT_RSP_ID: 0x6032,
        DIAG_SESSION_REJECT_RSP_ID: 0x6033,
        DIAG_SESSION_DATA_ID: 0x6034,
        DIAG_SESSION_END_ID: 0x6035,
        DETECT_ENDIANNESS_REQ_ID: 0x600D,
        DETECT_ENDIANNESS_RESP_ID: 0x601D,
        GET_GATEWAY_INFORMATION_REQ_ID: 0x600F,
        GET_GATEWAY_INFORMATION_RESP_ID: 0x601F,
        SESSIONS_LIST_REQ: 0x6023,
        SESSIONS_LIST_RESP: 0x6024
    }
});
