module.exports = {
    create: create
};

function create(metaEntries) {
    var metaDefinitions = [];
    for (var i = 0; i < metaEntries.length; i++) {
        metaDefinitions.push(convertEntry(metaEntries[i]));
    }
    return metaDefinitions;
}

function convertEntry(metaEntry) {
    var objectDefinitions = {};
    for (var i = 0; i < metaEntry.objects.length; i++) {
        var className = metaEntry.objects[i]['@class'];
        objectDefinitions[className] = metaEntry.objects[i];
    }
    return {
        metaVersion: metaEntry.metaVersion,
        objectDefinitions: objectDefinitions
    };
}
