module.exports = {
    getAxcAddress,
    getDevicesPath
};

function getAxcAddress(channelNode) {
    var channelPropertiesNode = channelNode.findChildByClassName('CHANNEL_PROPERTIES');
    if (!channelPropertiesNode) return null;

    return channelPropertiesNode.getDecodedParameters().axcAddress;
}

function getDevicesPath(channelNode) {
    var pathNode = channelNode.findChildByClassName('PATH');
    if (!pathNode) return [];

    return pathNode.getDecodedParameters().devicesDNInPath || [];
}
